"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class CError extends Error {
    constructor(message, docUri, statusCode = 500) {
        super(message);
        this.docUri = null;
        this.statusCode = statusCode;
        this.docUri = docUri;
    }
    getUri() {
        return this.docUri;
    }
}
exports.default = CError;
