/// <reference types="node" />
import { Context } from '..';
import { ServerRequest } from 'microrouter';
interface ImageLoader {
    /**
     * Given an url, returns the loaded image or raises an error
     * @throws Error if cannot load the image
     */
    get: (url: string, req: ServerRequest) => Promise<Buffer>;
}
declare const imageLoader: (context: Context) => ImageLoader;
export default imageLoader;
