import { Sharp } from 'sharp';
import { Operation } from '../normalizers';
export declare const stringifyParams: (params: Array<unknown>) => string;
/**
 * Returns the desired output.
 * If an `o` option is specified is used. If it's not specified, or it's `original`,
 * the metadata are checked in the sharp pipeline
 */
export declare const getOutputType: (sharp: Sharp, operations: Operation[]) => Promise<string | undefined>;
export declare const isPercentage: (percentage: string | number | null) => boolean;
export declare const percentageToPixel: (percentage: number, dimension: number) => number;
export declare const buildDocumentationLink: (doc: string | null, stripExt?: boolean) => string;
export declare const compose: (...fns: Function[]) => Function;
