import { Sharp } from 'sharp';
export declare const sizePercentageToPixel: (opt: {
    width: number | null;
    height: number | null;
}, image: Sharp) => Promise<{
    width: number | null;
    height: number | null;
}>;
/**
 * Given a string representing a size, returns it in numeric values
 * @param size A string repesenting a size. e.g 120x130  0.5x0.9  120x  x130
 * @param image The image to get the size
 */
export declare const sizeToPixel: (size: string, image: Sharp) => Promise<(number | null)[]>;
