import { CacheArtifact } from '../persistors';
import { PipelineResult } from '../pipeline';
import { CacheConfig } from '../config/default';
export interface CaravaggioCache {
    has: (url: string) => Promise<boolean>;
    get: (url: string) => Promise<CacheArtifact | null>;
    set: (rl: string, result: PipelineResult) => Promise<CacheArtifact>;
}
declare const cache: (config: CacheConfig) => CaravaggioCache;
export default cache;
