"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const BadRequestError_1 = __importDefault(require("./BadRequestError"));
class UnknownOperationError extends BadRequestError_1.default {
    constructor(operation) {
        super(`Unknown operation "${operation}"`, null);
    }
}
exports.default = UnknownOperationError;
