"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
// eslint-disable-next-line @typescript-eslint/no-explicit-any
const sharp = {
    blur: jest.fn(() => __awaiter(void 0, void 0, void 0, function* () { return sharp; })),
    extract: jest.fn(() => __awaiter(void 0, void 0, void 0, function* () { return sharp; })),
    flip: jest.fn(() => __awaiter(void 0, void 0, void 0, function* () { return sharp; })),
    flop: jest.fn(() => __awaiter(void 0, void 0, void 0, function* () { return sharp; })),
    composite: jest.fn(() => sharp),
    rotate: jest.fn(() => __awaiter(void 0, void 0, void 0, function* () { return sharp; })),
    resize: jest.fn(() => __awaiter(void 0, void 0, void 0, function* () { return sharp; })),
    jpeg: jest.fn(() => __awaiter(void 0, void 0, void 0, function* () { return sharp; })),
    png: jest.fn(() => __awaiter(void 0, void 0, void 0, function* () { return sharp; })),
    tiff: jest.fn(() => __awaiter(void 0, void 0, void 0, function* () { return sharp; })),
    webp: jest.fn(() => __awaiter(void 0, void 0, void 0, function* () { return sharp; })),
    raw: jest.fn(() => sharp),
    metadata: jest.fn(() => __awaiter(void 0, void 0, void 0, function* () { return ({ width: 640, height: 480, format: 'jpeg' }); })),
    toBuffer: jest.fn(({ resolveWithObject } = {}) => __awaiter(void 0, void 0, void 0, function* () {
        const data = Buffer.from([]);
        return resolveWithObject
            ? {
                data,
                info: {
                    channel: 3,
                },
            }
            : data;
    })),
    clone: jest.fn(() => sharp),
    flatten: jest.fn(() => sharp),
    joinChannel: jest.fn(() => sharp),
    toFormat: jest.fn(() => sharp),
    // mock only method
    sharpConstructor: () => sharp,
    mockClear: () => {
        sharp.blur.mockClear();
        sharp.extract.mockClear();
        sharp.flip.mockClear();
        sharp.flop.mockClear();
        sharp.composite.mockClear();
        sharp.rotate.mockClear();
        sharp.resize.mockClear();
        sharp.jpeg.mockClear();
        sharp.png.mockClear();
        sharp.tiff.mockClear();
        sharp.webp.mockClear();
        sharp.raw.mockClear();
        sharp.metadata.mockClear();
        sharp.toBuffer.mockClear();
        sharp.clone.mockClear();
        sharp.flatten.mockClear();
        sharp.joinChannel.mockClear();
        sharp.toFormat.mockClear();
    },
};
exports.default = sharp;
