export interface Color {
    r: number;
    g: number;
    b: number;
    alpha: number;
}
/**
 * Convert hex to rgb
 * hex in format 'FFFFFF'
 */
export declare const hexToRGB: (hex: string) => {
    r: number;
    g: number;
    b: number;
};
export declare const getColorFromParameter: (param: string, errorMessage?: string, docUri?: string) => Color;
