export declare enum GRAVITY {
    c = "center",
    n = "north",
    ne = "northeast",
    nw = "northwest",
    e = "east",
    w = "west",
    s = "south",
    se = "southeast",
    sw = "southwest",
    center = "center",
    centre = "centre",
    north = "north",
    northeast = "northeast",
    northwest = "northwest",
    east = "east",
    west = "west",
    south = "south",
    southeast = "southeast",
    southwest = "southwest",
    auto = "attention",
    gc = "center",
    gn = "north",
    gne = "northeast",
    gnw = "northwest",
    ge = "east",
    gw = "west",
    gs = "south",
    gse = "southeast",
    gsw = "southwest",
    gcenter = "center",
    gcentre = "centre",
    gnorth = "north",
    gnortheast = "northeast",
    gnorthwest = "northwest",
    geast = "east",
    gwest = "west",
    gsouth = "south",
    gsoutheast = "southeast",
    gsouthwest = "southwest",
    gauto = "attention"
}
export declare type GRAVITY_KEYS = keyof typeof GRAVITY;
interface GravityOps {
    acceptAuto?: boolean;
    error?: string;
}
export declare const getGravityFromParameter: (gravity: string | undefined, opt?: GravityOps | undefined) => GRAVITY | undefined;
export {};
